Check your balance
curl --request GET \
--url https://api.stage.rocka.live/balances/api/balanceimport requests
url = "https://api.stage.rocka.live/balances/api/balance"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.stage.rocka.live/balances/api/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.rocka.live/balances/api/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.rocka.live/balances/api/balance"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.rocka.live/balances/api/balance")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.rocka.live/balances/api/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"amount": 53.93,
"currency": "EUR",
"type": "payin",
"date": "2025-06-18"
}{
"message": "Balances are not configured."
}Manage your data
Check your balance
Check your balance for any currency.
If you’re getting the ‘Balances are not configured’ error message, contact us at support@rocka.live.
GET
/
balances
/
api
/
balance
Check your balance
curl --request GET \
--url https://api.stage.rocka.live/balances/api/balanceimport requests
url = "https://api.stage.rocka.live/balances/api/balance"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.stage.rocka.live/balances/api/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.rocka.live/balances/api/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.rocka.live/balances/api/balance"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.rocka.live/balances/api/balance")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.rocka.live/balances/api/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"amount": 53.93,
"currency": "EUR",
"type": "payin",
"date": "2025-06-18"
}{
"message": "Balances are not configured."
}Query Parameters
The ISO code of the currency you want to check your balance for.
Example:
"EUR"
To check your payment balance, enter payin. To check your payout balance, enter payout.
Available options:
payin, payout Example:
"payin"
Balance timestamp in the YYYY-MM-DD format. For example, 2025-06-18 for June 18th, 2025.
Last modified on September 17, 2026
Was this page helpful?